census.h File Reference

Provides facilities for looking up 3-manifold triangulations in Regina's in-built census databases. More...

`#include <boost/noncopyable.hpp>`
`#include "regina-core.h"`
`#include "triangulation/facetpairing3.h"`
`#include "utilities/boolset.h"`

## Classes

class | regina::CensusDB
| Stores the location and description of one of Regina's in-built census databases. More...
class | regina::CensusHit
| Stores a single "hit" indicating that some given triangulation has been located in one of Regina's in-built census databases. More...
class | regina::CensusHits
| Stores a list of "hits" indicating all the places in which a given triangulation has been located in Regina's various in-built census databases. More...
class | regina::Census
| A utility class used to search for triangulations across one or more 3-manifold census databases. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef CensusDB | regina::NCensusDB
| Deprecated typedef for backward compatibility. More...
typedef CensusHit | regina::NCensusHit
| Deprecated typedef for backward compatibility. More...
typedef CensusHits | regina::NCensusHits
| Deprecated typedef for backward compatibility. More...
typedef Census | regina::NCensus
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Provides facilities for looking up 3-manifold triangulations in Regina's in-built census databases.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).